@extends ('layouts/template')

@section('content')
    <div class="p-3 mcp-theme-1" id="leads-list">
        <div class="card">

            <div class="card-header px-3 py-2 d-flex align-items-center">
                <strong class="mr-4">
                    <i class="fas fa-user"></i>
                    Leads
                </strong>
            </div>

            <div class="table-responsive">
                <table class="table table-striped p-0 m-0 table-sm border-top border-bottom text-nowrap">
                    <thead class="bg-light">
                        <tr>
                            <th>Date</th>
                            <th>Name</th>
                            <th>DOB</th>
                            <th>Email</th>
                            <th>Phone</th>
                            <th>State</th>
                            <th>Insurance</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($leads as $record)
                            <?php
                            $parsed = json_decode($record->lead_data);
                            ?>
                            <tr>
                                <td>{{ friendly_date_time($record->created_at) }}</td>
                                <td>{{ @$parsed->firstName . ' ' . @$parsed->lastName }}</td>
                                <td>{{ @$parsed->dob ? friendly_date(@$parsed->dob) : '---' }}</td>
                                <td>{{ @$parsed->email }}</td>
                                <td>{{ @$parsed->phone }}</td>
                                <td>{{ @$parsed->state }}</td>
                                <td>{{ @$parsed->insurance }}</td>
                            </tr>
                        @endforeach

                        @if (count($leads) === 0)
                            <tr>
                                <td colspan="7">No records found!</td>
                            </tr>
                        @endif
                    </tbody>

                </table>
            </div>
            <div class="p-3">
                {{ $leads->withQueryString()->links() }}
            </div>

        </div>
    </div>
    </div>
@endsection
